Name:    kinfocenter
Version: 5.27.10
Release:    1%{?dist}
Summary: KDE Info Center

License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtscript-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-solid-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kpackage-devel

BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLES-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libX11-devel
BuildRequires:  pciutils-devel
BuildRequires:  pkgconfig(libusb-1.0)
%ifnarch s390 s390x
BuildRequires:  libraw1394-devel
%endif

BuildRequires: kf5-kirigami2
Requires: kf5-kirigami2

BuildRequires:  kf5-kwayland-devel

Requires: hwdata

Recommends: aha
Recommends: clinfo
Recommends: egl-utils
Recommends: fwupd
Recommends: smartmontools
Recommends: vulkan-tools
Recommends: wayland-utils
Recommends: xdpyinfo

Conflicts:      kde-workspace < 4.11.15-3

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%{_bindir}/kinfocenter
%{_kf5_libdir}/libKInfoCenterInternal.so
%{_kf5_qtplugindir}/plasma/kcms/*.so
%{_kf5_qtplugindir}/plasma/kcms/kinfocenter/*.so
%{_datadir}/metainfo/org.kde.kinfocenter.appdata.xml
%{_sysconfdir}/xdg/menus/kinfocenter.menu
%{_datadir}/applications/org.kde.kinfocenter.desktop
%{_datadir}/applications/kcm_about-distro.desktop
%{_kf5_datadir}/dbus-1/system-services/org.kde.kinfocenter.dmidecode.service
%{_kf5_datadir}/dbus-1/system.d/org.kde.kinfocenter.dmidecode.conf
%{_datadir}/desktop-directories/kinfocenter.directory
%{_kf5_datadir}/kpackage/kcms/kcm_energyinfo/
%{_kf5_datadir}/kpackage/kcms/kcmsamba/
%{_kf5_datadir}/kpackage/kcms/kcm_nic/
%{_kf5_datadir}/kpackage/kcms/kcm_about-distro/
%{_kf5_datadir}/kpackage/kcms/kcm_cpu/
%{_kf5_datadir}/kpackage/kcms/kcm_egl/
%{_kf5_datadir}/kpackage/kcms/kcm_glx/
%{_kf5_datadir}/kpackage/kcms/kcm_firmware_security/
%{_kf5_datadir}/kpackage/kcms/kcm_kwinsupportinfo/
%{_kf5_datadir}/kpackage/kcms/kcm_interrupts/
%{_kf5_datadir}/kpackage/kcms/kcm_opencl/
%{_kf5_datadir}/kpackage/kcms/kcm_pci/
%{_kf5_datadir}/kpackage/kcms/kcm_vulkan/
%{_kf5_datadir}/kpackage/kcms/kcm_wayland/
%{_kf5_datadir}/kpackage/kcms/kcm_xserver/
%{_kf5_datadir}/kinfocenter/
%{_kf5_datadir}/polkit-1/actions/org.kde.kinfocenter.dmidecode.policy
%{_qt5_archdatadir}/qml/org/kde/kinfocenter/
%{_kf5_libexecdir}/kauth/kinfocenter-dmidecode-helper


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
